searchData={"items":[{"type":"module","title":"Cacha","doc":"A simple caching agent.\n\nEmulates the most basic REDIS APIs.\n\nKeys can either be of binary or atom types.\nValues can be of any type.","ref":"Cacha.html"},{"type":"function","title":"Cacha.del/1","doc":"Cacha.del deletes a given key. It always returns :ok.","ref":"Cacha.html#del/1"},{"type":"function","title":"Examples - Cacha.del/1","doc":"iex> Cacha.del(:a_key)\n    :ok\n\n    iex> Cacha.del(:a_missing_key)\n    :ok","ref":"Cacha.html#del/1-examples"},{"type":"function","title":"Cacha.flush_all/0","doc":"Cacha.flush_all deletes all keys from the Cacha.","ref":"Cacha.html#flush_all/0"},{"type":"function","title":"Examples - Cacha.flush_all/0","doc":"iex> Cacha.set(:a_key, 10)\n    :ok\n    iex> Cacha.flush_all()\n    :ok\n    iex> Cacha.get(:a_key)\n    nil","ref":"Cacha.html#flush_all/0-examples"},{"type":"function","title":"Cacha.get/1","doc":"Cacha.get returns the value of a given key or nil if it does not exist.","ref":"Cacha.html#get/1"},{"type":"function","title":"Examples - Cacha.get/1","doc":"iex> Cacha.get(:a_key)\n    10\n\n    iex> Cacha.get(:a_missing_key)\n    nil","ref":"Cacha.html#get/1-examples"},{"type":"function","title":"Cacha.incr/1","doc":"Cacha.incr increments the value of a given key.\nIt expects the key to be of integer type.\nIf successful returns {:ok, value} with the new value.\nReturns {:error, reason} otherwise.\n\nIf the key does not exist, it creates it and increments its value.","ref":"Cacha.html#incr/1"},{"type":"function","title":"Examples - Cacha.incr/1","doc":"iex> Cacha.incr(:first_key)\n    {:ok, 1}\n\n    iex> Cacha.incr(:first_key)\n    {:ok, 2}\n\n    iex> Cacha.set(:second_key, \"a\")\n    iex> Cacha.incr(:second_key)\n    {:error, \"value is not an integer\"}","ref":"Cacha.html#incr/1-examples"},{"type":"function","title":"Cacha.set/2","doc":"Cacha.set creates or updates the value for a given key.","ref":"Cacha.html#set/2"},{"type":"function","title":"Examples - Cacha.set/2","doc":"iex> Cacha.set(:a_key, 10)\n    :ok","ref":"Cacha.html#set/2-examples"},{"type":"function","title":"Cacha.start_link/1","doc":"","ref":"Cacha.html#start_link/1"},{"type":"module","title":"Cacha.Server","doc":"","ref":"Cacha.Server.html"},{"type":"function","title":"Cacha.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Cacha.Server.html#child_spec/1"},{"type":"function","title":"Cacha.Server.del/1","doc":"","ref":"Cacha.Server.html#del/1"},{"type":"function","title":"Cacha.Server.flush_all/0","doc":"","ref":"Cacha.Server.html#flush_all/0"},{"type":"function","title":"Cacha.Server.get/1","doc":"","ref":"Cacha.Server.html#get/1"},{"type":"function","title":"Cacha.Server.incr/1","doc":"","ref":"Cacha.Server.html#incr/1"},{"type":"function","title":"Cacha.Server.init/0","doc":"","ref":"Cacha.Server.html#init/0"},{"type":"function","title":"Cacha.Server.set/2","doc":"","ref":"Cacha.Server.html#set/2"},{"type":"function","title":"Cacha.Server.start/2","doc":"","ref":"Cacha.Server.html#start/2"},{"type":"function","title":"Cacha.Server.start_link/1","doc":"","ref":"Cacha.Server.html#start_link/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}